# eoQuadOp< EOType > Class Template Reference

Quad genetic operator: subclasses eoOp, and defines basically the operator() with two operands, both can be modified. More...

`#include <eoOp.h>`

Inheritance diagram for eoQuadOp< EOType >:

List of all members.

## Public Member Functions

| eoQuadOp ()
| Ctor.
virtual std::string | className () const

## Detailed Description

### template<class EOType>
class eoQuadOp< EOType >

Quad genetic operator: subclasses eoOp, and defines basically the operator() with two operands, both can be modified.

When defining your own, make sure that you return a boolean value indicating that you have changed the content.

Definition at line 132 of file eoOp.h.

The documentation for this class was generated from the following file:

- eoOp.h